\documentclass[11pt]{beamer}
\usetheme{Luebeck}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{caption}
\usepackage{xcolor}

%% Tikz for picture drawing %%
\usepackage{tikz}
\usetikzlibrary{arrows}

\usepackage{algorithmicx}
\usepackage{algorithm}
\usepackage{algpseudocode}

%%
\author{Florestan De Moor}

%% Defining new colors %%
\definecolor{GrayBlue}{RGB}{0,129,163}
\setbeamercolor{normal text}{fg=black,bg=white}
\setbeamercolor{structure}{fg=GrayBlue}
\setbeamercolor{palette quaternary}{fg=white, bg=black}

%%
\useoutertheme[subsection=false]{smoothbars}

\setbeamertemplate{footline}[frame number]{}
\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{footline}{}


\begin{document}



\begin{frame}{K-Means Clustering Algorithm}

\begin{block}{}
\begin{itemize}
\itemsep0em
\item $k$ integer \\
\item $n$ number of points, $d$ dimension
\item $data \in \mathbb{R}^{n \times d}$
\end{itemize}
\end{block}

\begin{algorithm}[H]
\begin{algorithmic}
\Function{KMeans}{$k$, $data$}
\State Choose $k$ centroids
\Repeat 
\State Assign each point to the cluster with the nearest centroid
\State Compute new centroids for each cluster
\Until convergence
\State \Return the clusters
\EndFunction
\end{algorithmic}
\caption{K-Means Standard Algorithm}
\label{alg:kmeans}
\end{algorithm}


\end{frame}

\begin{frame}{KMeans Implementations}

\begin{itemize}
\item SciPy (\textsc{Python})
\item Matlab
\item \textsc{R}
\item Apache Mahout (\textsc{Java})
\item Wei-Keng Liao, Parallel K-Means Data Clustering, 2005

Northwestern University

(\textsc{C} + \textsc{OpenMP} or \textsc{C} + \textsc{MPI})
\end{itemize}

\end{frame}

\begin{frame}{Datasets}

\begin{itemize}
\item Random datasets with various probability distributions
\item Image processing references
\item Recommendation datasets? (many users, high dimension)
\item UCI Machine Learning Repository
\end{itemize}

\end{frame}


\begin{frame}{Related work}
\begin{itemize}
\item \textit{Parallel K-Means Clustering Based on MapReduce}, W.Zhao, H.Ma, Q.He
\item \textit{An Efficient k-Means Clustering Algorithm: Analysis and Implementation}, T.Kanungo, D.M.Mount, N.S.Netanyahu, C.D.Piakto, R.Silverman, A.Y.Wu
\item \textit{An Optimized Version of the K-Means Clustering Algorithm}, C.M.Poteras, M.C.Mihaescu, M.Mocanu
\end{itemize}
\end{frame}


\begin{frame}{Idée d'implémentation}
\begin{enumerate}
\item Répartir les points sur les DRAM
\item Envoyer les centroïdes sur toutes les DRAMs
\item Calculer en parallèle les plus proches centroïdes pour chaque points
\item Récupérer les clusters sur le processeur et recalculer les centroïdes
\item Reprendre à l'étape 2 jusqu'à convergence.
\end{enumerate}

\end{frame}


\end{document}